moeoDistance(3)

NAME
moeoDistance - The base class for distance computation.

SYNOPSIS

#include <moeoDistance.h>

Inherits eoBF< A1, A2, R >< const const MOEOT &, MOEOT &, Type >.

Inherited by moeoNormalizedDistance< MOEOT, Type >.

  Public Member Functions
virtual void setup (const eoPop< MOEOT > &_pop)
Nothing to do.
virtual void setup (double _min, double _max, unsigned int _obj)
Nothing to do.
virtual void setup (eoRealInterval _realInterval, unsigned int _obj)
Nothing to do.

Detailed Description

  template<class MOEOT, class Type> class moeoDistance< MOEOT, Type >
The base class for distance computation.

Definition at line 22 of file moeoDistance.h.

Member Function Documentation

  template<class MOEOT, class Type> virtual void moeoDistance< MOEOT, Type >::setup (const eoPop< MOEOT > & _pop) [inline, virtual]

Nothing to do.

Parameters:
    _pop the population

Reimplemented in moeoNormalizedDistance< MOEOT, Type >, and moeoNormalizedDistance< MOEOT >.

Definition at line 30 of file moeoDistance.h.

  template<class MOEOT, class Type> virtual void moeoDistance< MOEOT, Type >::setup (double _min, double _max, unsigned int _obj) [inline, virtual]

Nothing to do.

Parameters:
    _min lower bound
    _max upper bound
    _obj the objective index

Reimplemented in moeoNormalizedDistance< MOEOT, Type >, and moeoNormalizedDistance< MOEOT >.

Definition at line 40 of file moeoDistance.h.

  template<class MOEOT, class Type> virtual void moeoDistance< MOEOT, Type >::setup (eoRealInterval _realInterval, unsigned int _obj) [inline, virtual]

Nothing to do.

Parameters:
    _realInterval the eoRealInterval object
    _obj the objective index

Reimplemented in moeoNormalizedDistance< MOEOT, Type >, and moeoNormalizedDistance< MOEOT >.

Definition at line 49 of file moeoDistance.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.